commit: 56008b715e79867a6341e5009519365fa3f89259
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 4 14:03:47 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Sep 4 14:04:22 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56008b71
app-shells/thefuck: Fix dependencies for python2.7
Gentoo-Bug: 589110
Package-Manager: portage-2.3.0
app-shells/thefuck/thefuck-3.11-r1.ebuild | 36 +++++++++++++++++++++++++++++++
1 file changed, 36 insertions(+)
diff --git a/app-shells/thefuck/thefuck-3.11-r1.ebuild
b/app-shells/thefuck/thefuck-3.11-r1.ebuild
new file mode 100644
index 00000000..e1d61c7
--- /dev/null
+++ b/app-shells/thefuck/thefuck-3.11-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python{2_7,3_4})
+
+inherit distutils-r1
+
+DESCRIPTION="Magnificent app which corrects your previous console command"
+HOMEPAGE="https://github.com/nvbn/thefuck"
+SRC_URI="https://github.com/nvbn/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="virtual/python-pathlib[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]'
python2_7)"
+DEPEND="test? ( ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ sed -i -e "/import pip/s/^/#/" -e "/pip.__version__/,+3 s/^/#/"
setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ py.test || die
+}